datacache <- new.env(hash=TRUE, parent=emptyenv())

raex10stv1rnrefseq <- function() showQCData("raex10stv1rnrefseq", datacache)
raex10stv1rnrefseq_dbconn <- function() dbconn(datacache)
raex10stv1rnrefseq_dbfile <- function() dbfile(datacache)
raex10stv1rnrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
raex10stv1rnrefseq_dbInfo <- function() dbInfo(datacache)

raex10stv1rnrefseqORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "raex10stv1rnrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "raex10stv1rnrefseq", "chip raex10stv1rnrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("raex10stv1rnrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(raex10stv1rnrefseq_dbconn())
}

